; *** F **********************************************************************

< TUBO.cmd
< MITU.cmd

create	object	default	obj_KUMA1
	fusion	off
	object	obj_KUMA1_kao
	object	obj_KUMA1_karada
	object	obj_KUMA1_hara
	object	tubo
	shad-group	gp_shad_KUMA1
close

; ***  **********************************************************************
create	object	default	tubo
	mov	1.7 -1.0 1.7
	rot	10 0 35
	object	obj_TUBO
close

; *** F̕ ******************************************************************
create	object	default	obj_KUMA1_hara
	csg		and
	object		obj_KUMA1_karada1
	geometry	geom_KUMA1_hara
	surface		surf_KUMA1_hihu2
close

create	object	default	obj_KUMA1_hara1
	geometry	geom_KUMA1_hara
close

create	geometry quad	geom_KUMA1_hara
	type	ellp
	len	1 2.2 2
	mov	0 0.8 1
close

; *** F̑ ******************************************************************
create	object	default	obj_KUMA1_karada
	csg		diff
	object		obj_KUMA1_karada1
	object		obj_KUMA1_hara1
	surface		surf_KUMA1_hihu1
close

create	object	default	obj_KUMA1_karada1
	fusion	on
	object	obj_KUMA1_dotai
	object	obj_KUMA1_kataL
	object	obj_KUMA1_kataR
	object	obj_KUMA1_ashiL
	object	obj_KUMA1_ashiR
	object	obj_KUMA1_shippo
close

; *** F̓ ****************************************************************
create	object	default	obj_KUMA1_dotai
	geometry	geom_KUMA1_dotai_A
	geometry	geom_KUMA1_dotai_B
close

; *** ̂̃^{[() ***
create	geometry meta	geom_KUMA1_dotai_A
	type	ellp
	tlen	1.7 1.8 1.3
	mov	0 1.4 0
	weight	2.5
close

; *** ̂̃^{[() ***
create	geometry meta	geom_KUMA1_dotai_B
	type	ellp
	tlen	1.5 1.7 1.3
	mov	0 -1.0 0
	weight	2.5
close

; *** F̘r() **************************************************************
create	object	default	obj_KUMA1_kataL
	toroder		movrot
	mov		2.4 1.2 0.8
	rot		-40 0 20
	geometry	geom_KUMA1_kataL
	object		obj_KUMA1_udeL
close

; *** ̃^{[ ***
create	geometry meta	geom_KUMA1_kataL
	type	ellp
	tlen	0.5 0.8 0.5
	weight	1.5
close

create	object	default	obj_KUMA1_udeL
	mov		0 -0.7 0
	rot		-20 0 -40
	geometry	geom_KUMA1_udeL
close

; *** r̃^{[ ***
create	geometry meta	geom_KUMA1_udeL
	type	ellp
	tlen	0.5 1.0 0.5
	mov	0 -1.1 0
	weight	2.0
close

; *** F̘r(E) **************************************************************
create	object	default	obj_KUMA1_kataR
	toroder		movrot
	mov		-2.1 1.2 0.8
	rot		-40 0 -5
	geometry	geom_KUMA1_kataR
	object		obj_KUMA1_udeR
	surface		surf_KUMA1_hihu1
close

; *** ̃^{[ ***
create	geometry meta	geom_KUMA1_kataR
	type	ellp
	tlen	0.3 0.6 0.3
	weight	1.2
close

create	object	default	obj_KUMA1_udeR
	mov		0.3 -0.8 0
	rot		-140 0 -90
	geometry	geom_KUMA1_udeR
	object		obj_MITU
close

; *** r̃^{[ ***
create	geometry meta	geom_KUMA1_udeR
	type	ellp
	tlen	0.4 1.2 0.4
	mov	0 -1.1 0
	weight	2.0
close

; *** F̑() **************************************************************
create	object	default	obj_KUMA1_ashiL
	toroder		movrot
	mov		1.2 -1.8 0.1
	rot		0 0 5
	geometry	geom_KUMA1_ashiL
close

; *** ̃^{[ ***
create	geometry meta	geom_KUMA1_ashiL
	type	ellp
	tlen	0.55 1.3 0.6
	mov	0 -1.3 0
	weight	1.7
close

; *** F̑(E) **************************************************************
create	object	default	obj_KUMA1_ashiR
	toroder		movrot
	mov		-1.2 -1.8 0.1
	rot		0 0 -5
	geometry	geom_KUMA1_ashiR
close

; *** ̃^{[ ***
create	geometry meta	geom_KUMA1_ashiR
	type	ellp
	tlen	0.55 1.3 0.6
	mov	0 -1.3 0
	weight	1.7
close

; *** F̐K ****************************************************************
create	object	default	obj_KUMA1_shippo
	mov		2.1 -1.8 -0.35
	geometry	geom_KUMA1_shippo
close

; *** K() ***
create	geometry quad	geom_KUMA1_shippo
	type	ball
	rad	0.6
close

; *** F̊ ******************************************************************
create	object	default	obj_KUMA1_kao
	mov	0 3.8 0.1
	fusion	off
	object	obj_KUMA1_atama
	object	obj_KUMA1_mimiL
	object	obj_KUMA1_mimiR
	object	obj_KUMA1_hana
	object	obj_KUMA1_meL
	object	obj_KUMA1_meR
close

; *** F̓ ******************************************************************
create	object	default	obj_KUMA1_atama
	fusion	on
	object	obj_KUMA1_atama1
	object	obj_KUMA1_atama2
close

; *** O` ***
create	object	default	obj_KUMA1_atama1
	geometry	geom_KUMA1_atama_A
	geometry	geom_KUMA1_atama_B
	geometry	geom_KUMA1_atama_C
	surface		surf_KUMA1_hihu1
close

; ***  ***
create	object	default	obj_KUMA1_atama2
	geometry	geom_KUMA1_atama_D
	geometry	geom_KUMA1_atama_E
	geometry	geom_KUMA1_atama_F
	surface		surf_KUMA1_hihu3
close

; *** ^{[A(O`1) ***
create	geometry meta	geom_KUMA1_atama_A
	type	ellp
	tlen	1.34 1.25 1.5
	mov	-1.05 0.05 0
close

; *** ^{[B(O`2) ***
create	geometry meta	geom_KUMA1_atama_B
	type	ellp
	tlen	1.4 1.3 1.5
	mov	1.1 0.1 0
close

; *** ^{[C(O`3) ***
create	geometry meta	geom_KUMA1_atama_C
	type	ellp
	tlen	1 1 0.9
	mov	0 1.2 -0.1
close

; *** ^{[D(̂Ȃ) ***
create	geometry meta	geom_KUMA1_atama_D
	type	ellp
	tlen	0.34 0.3 0.6
	mov	0 -0.3 0.8
	weight	1.1
close

; *** ^{[E(1) ***
create	geometry meta	geom_KUMA1_atama_E
	type	ellp
	tlen	0.1 0.2 0.4
	mov	0.3 -0.2 1.4
	rot	0 0 30
	weight	1.19
close

; *** ^{[F(2) ***
create	geometry meta	geom_KUMA1_atama_F
	type	ellp
	tlen	0.1 0.2 0.4
	mov	-0.3 -0.2 1.4
	rot	0 0 -33
	weight	1.21
close

; *** F̎() **************************************************************
create	object	default	obj_KUMA1_mimiL
	fusion		on
	geometry	geom_KUMA1_mimi_A
	geometry	geom_KUMA1_mimi_B
	rot		6 11 -8
	mov		1.4 2 0.4
	scale		0.63 0.55 0.6
	surface		surf_KUMA1_hihu1
close

; *** F̎(E) **************************************************************
create	object	default	obj_KUMA1_mimiR
	fusion		on
	geometry	geom_KUMA1_mimi_A
	geometry	geom_KUMA1_mimi_B
	rot		-1 -9 10
	mov		-1.4 2 0.35
	scale		0.6 0.58 0.6
	surface		surf_KUMA1_hihu1
close

; *** ^{[A(O`) ***
create	geometry meta	geom_KUMA1_mimi_A
	type	ellp
	tlen	1.2 1.6 0.5
	mov	0 1.6 0
close

; *** ^{[B() ***
create	geometry meta	geom_KUMA1_mimi_B
	type	ellp
	tlen	0.23 0.35 0.1
	mov	0 1.4 0.4
	weight	-1.5
close

; *** F̕@ ******************************************************************
create	object	default	obj_KUMA1_hana
	mov	0.028 0.223 2.41
	geometry	geom_KUMA1_hana
	surface		surf_KUMA1_hana
close

; *** @̃^{[ ***
create	geometry quad	geom_KUMA1_hana
	type	ellp
	len	0.3 0.15 0.3
close

; *** F̖() **************************************************************
create	object	default	obj_KUMA1_meL
	mov	0.6 0.95 1.93
	scale	1.05 1.05 1.05
	geometry	geom_KUMA1_me
	surface		surf_KUMA1_me
close

; *** F̖(E) **************************************************************
create	object	default	obj_KUMA1_meR
	mov	-0.6 0.9 1.93
	geometry	geom_KUMA1_me
	surface		surf_KUMA1_me
close

; *** (ȉ~) ***
create	geometry quad	geom_KUMA1_me
	type	ellp
	len	0.07 0.1 0.1
close

; *** F̎ ****************************************************************
; *** 畆̎(1) ***
create	surface	default	surf_KUMA1_hihu1
	rgb		0.58 0.35 0.13
	ambient		0.2 0.2 0.2
	diffuse		1 1 1
	specular	0.03 0.03 0.03
	bump-map	map_KUMA1
close

; *** 畆̎(2) ***
create	surface	default	surf_KUMA1_hihu2
	rgb		0.78 0.69 0.48
	ambient		0.2 0.2 0.2
	diffuse		1 1 1
	specular	0.03 0.03 0.03
	bump-map	map_KUMA1
close

; *** 畆̎(3) ***
create	surface	default	surf_KUMA1_hihu3
	rgb		0.77 0.63 0.33
	ambient		0.2 0.2 0.2
	diffuse		1 1 1
	specular	0.03 0.03 0.03
	bump-map	map_KUMA1
close

; *** @̎ ***
create	surface	default	surf_KUMA1_hana
	rgb		0.25 0.11 0.08
	ambient		0.2 0.2 0.2
	diffuse		0.8 0.8 0.8
	specular	0.4 0.4 0.4
	spec1		1 0.12 0.12
close

; *** ڂ̎ ***
create	surface	default	surf_KUMA1_me
	rgb		0.1 0.06 0.04
	ambient		0.3 0.3 0.3
	diffuse		0.5 0.5 0.5
	specular	0.9 0.9 0.9
	spec1		1 0.03 0.03
close

; *** ov}bsO(킵)̐ݒ ***
create	map	solid	map_KUMA1
	volume	vol_KUMA1
	transform tf_solid
close

create	volume	wrinkle	vol_KUMA1
	magnitude	8
	degree		0.5
close

create	transform surface tf_solid
	project	solid
close
